
TYPO3.Flow - Feature # 3586

Status: Resolved Priority: Could have
Author: Robert Lemke Category: Persistence
Created: 2009-06-05 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Assure that value objects are immutable
Description

The concept of value objects is that they are solely identified by their value and that if two value objects have the same value, they are
considered identical. This allows for sharing the same instance of a value object among other objects - but only if the value doesn't
change afterwards.

Make sure that value objects are immutable. Properties of a value object should only be set through the constructor. To enforce that
we could intercept any potential setters and throw an exception if they are called.

Related issues:
related to TYPO3.Flow - Major Feature # 3585: Implement support for value obj... New 2009-06-05

History
#1 - 2009-06-30 15:31 - Robert Lemke
- Target version changed from 1.0 alpha 2 to 283

#2 - 2009-07-13 10:51 - Robert Lemke
- Target version changed from 283 to 1.0 alpha 3

#3 - 2009-07-27 12:26 - Robert Lemke
- Target version changed from 1.0 alpha 3 to 1.0 alpha 4

#4 - 2009-09-07 09:42 - Robert Lemke
- Target version deleted (1.0 alpha 4)

#5 - 2010-03-16 16:54 - Karsten Dambekalns
- Status changed from New to Resolved
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 8
- Start date changed from 2009-06-05 to 2010-03-16
- % Done changed from 0 to 100
- Estimated time set to 1.00

As of r3962 value objects are checked for setters when building class schemata, thus settings this to resolved.
